
## Contexte

Exemple d'architecture

```
| microprocesseur | | rom | | ram | | eeprom | | chien de garde |
+-----------------+ +-----+ +-----+ +--------+ +----------------+
        |              |       |        |              |
        +--------------+-------+--------+--------------+
                               | bus
    +---------+----------------+------------------+
    |         |                |                  |
+--------+ +-----+ +--------------------+ +-----------------+
| timers | | can | | interface ethernet | | interface serie | 

                   ^^^^^^^^^^^^^^^^^^^^^\__ implémentation réseau
```

Couches intéressées

- TCP
- IP
- Transport

Transmission

- Série
	- un seul fil, découpage de l'information basé sur la temporalité
	- liée à une horloge
	- 'lent'
- parallèles
	- plusieurs fils série
	- 'rapide'
	- 'courte distance'

## Synchronicité

### Asynchrone

une légère différence de fréquences due à des perturbation est compensée
par le fait que les données sont envoyées par petites séquences délimités
par des mots 'start' et 'stop' pour candenser les horloges

#### Contrôle

Pour contrôler les flux, on peut utiliser des messages de contrôles :
- hardware : il existe des lignes séries dédiées au contrôle
- software : mots réservés dans un dialogue

### Synchrone

Une transmission est rendue synchrone si elle :
- commence par une étape de synchronisation
- transmet les données utiles de manière synchrone
- termine par une étape de contrôle

## Pertes

- Affessement du signal, perte en intensité proportionnelle à la distance.
- Bruits, parasitage du signal liée à l'entropie du milieu.

## Codage

### bipolaire

la donnée est encodée en binaire envoyé au cours du temps
de façon régulière à travers une valeur physique.

> exemple : NRZ (non-return zero)
> une horloge alterne de manière régulière.
> un zéro est encodé par une tension négative pendant une période de l'horloge.
> un un est encodé par une tension positive.

> exemple : NRZI (non-return zero invertion)
> une horloge alterne de manière régulière.
> la valeure communiquée est initialisée à zéro.
> à chaque période de l'horloge
> 	- si la tension est positive, la valeur reçue est la valeur communiquée précédente.
> 	- si la tension est négative, la valeur reçue est inversée par rapport à la valeur communiquée précédente.

défaut de NRZ & NRZI : la valeur physique peut être plate pendant un long moment et la synchronisation risque de se perdre.

### différentiel

le changement d'une valeur physique constitue le signal transmis.
(en mesurant le temps entre ces changement par exemple)

> exemple : codage Manchester
> Un un est encodé en envoyant une valeure positive lors du front montant de l'horloge
> Un zéro est encodé en envoyant une valeure positive sur le front déscendant de l'horloge.

## bande de base

La fréquence utilisable dépend du média.
Certains signaux encodés dans des fréquences doivent être
transformés pour être modulé vers une fréquence utilisable.
